﻿-- $Id: Localization.lua 28 2010-01-24 21:20:37Z LaoTseu $

-- Code borrowed from Tekkub

ShuckIt = ShuckIt or {}
ShuckIt.revision = ShuckIt.revision or {} 
ShuckIt.revision.loc	= ("$Revision: 28 $"):match("(%d+)")

local localized
local loc = GetLocale()

-----------------------
--      English      --
-----------------------

local english = {}

----------------------
--      French      --
----------------------

--if loc == "frFR" then localized = {
--	["Use: Open the clam!"]			= 'Utiliser: Ouvrez la palourde!'

if loc == "frFR" then 
	localized = {}
	-- localized["Cannot open Clams by clicking on the LDB display. Use %s instead."] = ""
-- localized["|cffffd700%d %s to open|r"] = ""
-- localized["item"] = ""
-- localized["items"] = ""
-- localized["Nothing to do or in combat"] = ""
-- localized["Open those clams (and other containers)"] = ""
-- localized["%s - %d"] = ""
-- localized["ShuckIt"] = ""
-- localized["|T%s:16|t %s x %d"] = ""
localized["Use: Open the clam!"] = "Utiliser: Ouvrez la palourde!"
-- localized["Use %s to open the next item"] = ""

end

----------------------
--      German      --
----------------------

if loc == "deDE" then localized = {
	["Use: Open the clam!"]			= 'Benutzen: \195\150ffnet die Muschel!'
} end

----------------------
--      Rusian      --
----------------------

-- Really not sure about this one. Somebody should give me a version with \ddd characters
if loc == "ruRU" then localized = {
	["Use: Open the clam!"]			= 'Ð˜ÑÐ¿Ð¾Ð»ÑŒÐ·Ð¾Ð²Ð°Ð½Ð¸Ðµ: ÐžÑ‚ÐºÑ€Ð¾Ð¹ Ñ€Ð°ÐºÐ¾Ð²Ð¸Ð½Ñƒ!'
} end

----------------------
--      Spanish     --
----------------------

if loc == "esES" then localized = {
	["Use: Open the clam!"]			= 'Uso: Â¡Abre la almeja!'
} end



-- Metatable majicks... makes localized table fallback to english, or fallback to the index requested.
-- This ensures we ALWAYS get a value back, even if it's the index we requested originally
ShuckIt.localized = localized and setmetatable(localized, {__index = function(t,i) return english[i] or i end})
	or setmetatable(english, {__index = function(t,i) return i end})


